[arch-commits] Commit in haskell-servant-swagger/repos/community-x86_64 (2 files)

Felix Yan felixonmars at archlinux.org
Tue Sep 1 16:51:58 UTC 2020


    Date: Tuesday, September 1, 2020 @ 16:51:58
  Author: felixonmars
Revision: 695739

archrelease: copy trunk to community-x86_64

Added:
  haskell-servant-swagger/repos/community-x86_64/PKGBUILD
    (from rev 695738, haskell-servant-swagger/trunk/PKGBUILD)
Deleted:
  haskell-servant-swagger/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   99 ++++++++++++++++++++++++++++---------------------------------
 1 file changed, 47 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-01 16:51:46 UTC (rev 695738)
+++ PKGBUILD	2020-09-01 16:51:58 UTC (rev 695739)
@@ -1,52 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-_hkgname=servant-swagger
-pkgname=haskell-servant-swagger
-pkgver=1.1.8
-pkgrel=108
-pkgdesc="Generate Swagger specification for your servant API."
-url="https://github.com/haskell-servant/servant-swagger"
-license=("BSD")
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-http-media'
-         'haskell-insert-ordered-containers' 'haskell-lens' 'haskell-servant'
-         'haskell-singleton-bool' 'haskell-swagger2' 'haskell-unordered-containers'
-         'haskell-hspec' 'haskell-quickcheck')
-makedepends=('ghc' 'haskell-base-compat' 'haskell-cabal-doctest' 'haskell-doctest'
-             'haskell-hspec-discover' 'haskell-lens-aeson' 'haskell-utf8-string' 'haskell-vector')
-source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('7ddf92df0ef594ab08ef247cd953b55933ec2fba489678a9dee139345b80ffd40e40285d7cf0775d468b5de5c883cc6ba430208949cc406b150c573ed7e7b74a')
-
-prepare() {
-    cd $_hkgname-$pkgver
-    sed -i 's/< *4.1/<5/;s/< *2.6/<3/;s/< *1.5/<2/;s/< *0.17/<1/' $_hkgname.cabal
-}
-
-build() {
-    cd $_hkgname-$pkgver
-
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
-    runhaskell Setup build $MAKEFLAGS
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-    cd $_hkgname-$pkgver
-    runhaskell Setup test || warning "Tests failed"
-}
-
-package() {
-    cd $_hkgname-$pkgver
-
-    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
-    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
-    runhaskell Setup copy --destdir="$pkgdir"
-    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}

Copied: haskell-servant-swagger/repos/community-x86_64/PKGBUILD (from rev 695738, haskell-servant-swagger/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-09-01 16:51:58 UTC (rev 695739)
@@ -0,0 +1,47 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=servant-swagger
+pkgname=haskell-servant-swagger
+pkgver=1.1.9
+pkgrel=1
+pkgdesc="Generate Swagger specification for your servant API."
+url="https://github.com/haskell-servant/servant-swagger"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-http-media'
+         'haskell-insert-ordered-containers' 'haskell-lens' 'haskell-servant'
+         'haskell-singleton-bool' 'haskell-swagger2' 'haskell-unordered-containers'
+         'haskell-hspec' 'haskell-quickcheck')
+makedepends=('ghc' 'haskell-base-compat' 'haskell-cabal-doctest' 'haskell-doctest'
+             'haskell-hspec-discover' 'haskell-lens-aeson' 'haskell-utf8-string' 'haskell-vector')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('10e38c13e93bece5ef06974d5db8d210f7e3e2f7b77b19adf29ffd58b666be48f193ec5237c219ea205fa903cbfb03402b19149ae2bb1693d103a57a4acf33be')
+
+build() {
+    cd $_hkgname-$pkgver
+
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}


More information about the arch-commits mailing list